## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ProblemListener.hpp File Reference

Include dependency graph for ProblemListener.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class ProblemListener
    This is the abstract class that the XSL processor uses when it has a problem of some kind, that requires a message, an error or a warning. More...

## Defines

- #define XALAN_PROBLEMLISTENER_HEADER_GUARD

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class ElemTemplateElement

## Define Documentation

#define XALAN_PROBLEMLISTENER_HEADER_GUARD

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class ElemTemplateElement

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.